org.apache.synapse.commons.evaluators.config

## Class TextProcessingEvaluatorSerializer

- java.lang.Object
- - org.apache.synapse.commons.evaluators.config.AbstractEvaluatorSerializer
  - - org.apache.synapse.commons.evaluators.config.TextProcessingEvaluatorSerializer

- All Implemented Interfaces:
    EvaluatorSerializer
  Direct Known Subclasses:
    EqualSerializer, MatchSerializer

      public abstract class TextProcessingEvaluatorSerializer
      extends AbstractEvaluatorSerializer

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.commons.evaluators.config.AbstractEvaluatorSerializer

      `fac, log, nullNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextProcessingEvaluatorSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `serializeSourceTextRetriever(SourceTextRetriever textRetriever, org.apache.axiom.om.OMElement element)`

    - ### Methods inherited from class org.apache.synapse.commons.evaluators.config.AbstractEvaluatorSerializer

      `serializeChild, serializeChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.synapse.commons.evaluators.config.EvaluatorSerializer

      `serialize`

- - ### Constructor Detail

    - #### TextProcessingEvaluatorSerializer

          public TextProcessingEvaluatorSerializer()

  - ### Method Detail

    - #### serializeSourceTextRetriever

          protected void serializeSourceTextRetriever(SourceTextRetriever textRetriever,
                                                      org.apache.axiom.om.OMElement element)
                                               throws EvaluatorException

      Throws:
        `EvaluatorException`

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.